%define		debug_package %{nil}

Name:		podsleuth
Version:	0.6.2
Release:	1
Summary:	Probes, identifies, and exposes properties and metadata bound to iPods
Group:		Multimedia
License:	MIT
URL:		http://banshee-project.org/PodSleuth
Source0:	http://banshee-project.org/files/%{name}/%{name}-%{version}.tar.bz2
Patch0:		podsleuth-0.6.0-sg3_utils.patch
Patch1:		podsleuth-0.6.2-libdir.patch
Patch2:         podsleuth-0.6.0-wapidir.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	mono-core-devel
BuildRequires:	hal-devel
BuildRequires:	ndesk-dbus-devel
BuildRequires:	sg3-utils-devel

# JIT only availible on these:
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc alpha
# Disabled due to strange build failure:
# s390 s390x

%description
Podsleuth probes, identifies, and exposes properties
and metadata bound to iPods.

%package devel
Summary: .pc file for podsleuth
Group: Documentation
Requires:	%{name} = %{version}-%{release} 
Requires:	pkgconfig

%description devel
Development files for podsleuth

%prep
%setup -q
%patch0 -p1 -b .sg3_utils
%patch1 -p1 -b .libdir
%patch2 -p1 -b .wapidir

%build
%configure --with-hal-callouts-dir=/usr/lib/hal

# Breaks when smp flag is set
make

%install
%{__rm} -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/podsleuth
%{_libdir}/podsleuth/
%{_libdir}/hal/hal-podsleuth
%{_datadir}/hal/fdi/policy/20thirdparty/20-podsleuth.fdi

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/podsleuth.pc

%changelog
* Sun Sep 14 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.2-1
- Version update
* Fri Aug 01 2008 Christian Metzen <metzench@ccux-linux.de> 0.6.0-1
- Initial release